/***************************************************************************
 *   Copyright (C) 2004 by Maciej "Kasprzol" Kasprzyk                      *
 *   katalogue@katalogue.szluug.org                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <string>
#include <fstream>

#include "varibles.h"

#define CONFIG_PATH "/.katalogue/config" /* scieka dodawana do katalogu domowego */

namespace Varibles {

using std::string ;

void LoadConfig ()
{
	std::string path = getenv ("HOME") ;
	path += CONFIG_PATH ;
	
	std::ifstream in (path.c_str ()) ;
	in >> DirectoriesFirst ;
}

void SaveConfig ()
{
	std::string path = getenv ("HOME") ;
	path += CONFIG_PATH ;
	
	std::ofstream out (path.c_str ()) ;
	out << DirectoriesFirst ;
}

#if 0

static bool IsComment (const std::string & line)
{
	std::string::const_iterator it, ite = line.end () ;
	for (it = line.begin () ; it != ite ; ++it) {
		if (*it == ' ' || *it == '\t')
			continue ;
		else if (*it == '#')
			return true ;
		else
			return false ;
	}
	return true ;
}

void ReadConfig ()
{
	std::string linia = getenv ("HOME") ;
	linia += "/.Illiadan's nntp/" ;
	linia += "config" ;

	std::ifstream config (linia.c_str ()) ;
	while (!config.eof ()) {
		getline (config, linia) ;
		if (IsComment (linia))
			continue ;
		// znajd '='
		int pos = linia.find ('=') ;
//		std::cout << "analiza linii \'" << linia << "\' pos = " << pos << "\n" ;
		std::string left = linia.substr (0, pos), right = linia.substr (pos + 1 /*, string::npos*/) ;
		Trim (&left) ;
		Trim (&right) ;
		StrToUpper (&left) ;
//		std::cout << "Left = \'" << left << "\'\n" ;
		// analizuj lew stron
		if (left == "SPOOLDIR") {
			NSConfig::SpoolDir = right ;
			std::cout << "Katalog ze spoolem : " << NSConfig::SpoolDir << "\n" ;
		} else if (left == "MAXGETARTICLES") {
//			std::cout << "right = " << right << "\n" ;
			NSConfig::MaxGetArticles = strtol (right.c_str (), NULL, 10) ;
//			std::cout << "Max ilo artykuw : " << NSConfig::MaxGetArticles << "\n" ;
		} else if (left == "ADDGROUP") {
			NSConfig::Groups.push_back (right) ;
//			std::cout << "Dodana grupa: " << right << "\n" ;
		} else {
			std::cerr << "Niezrozumiaa linia: \'" << linia << "\'\n" ;
		}
	}
}

#endif // #if 0

} // namespace Varibles {
